var QF = function () {
};

var currentcallbacks = {};

//1、刷新
QF.prototype.refresh = function (refresh) {
	QFNew.refresh(refresh);
};

//2、跳转登陆
QF.prototype.jumpLogin = function (jumpLoginCallBack) {
	if (typeof jumpLoginCallBack == 'function') {
		currentcallbacks["jumpLoginCallBack"] = jumpLoginCallBack;
		QFNew.jumpLogin('currentcallbacks["jumpLoginCallBack"]');
	} else {
		QFNew.jumpLogin(jumpLoginCallBack);
	}
};


//3、跳转绑定手机号
QF.prototype.jumpBindMobile = function (jumpBindMobileCallBack) {
	if (typeof jumpBindMobileCallBack == 'function') {
		currentcallbacks["jumpBindMobileCallBack"] = jumpBindMobileCallBack;
		QFNew.jumpBindMobile('currentcallbacks["jumpBindMobileCallBack"]');
	} else {
		QFNew.jumpBindMobile(jumpBindMobileCallBack);
	}
};


//4、跳转帖子详情页
QF.prototype.jumpThread = function (tid) {
	QFNew.jumpThread(tid);
};


//5、跳转版块详情页
QF.prototype.jumpThreadList = function (fid) {
	QFNew.jumpThreadList(fid);
};


//6、跳转全部版块
QF.prototype.jumpForum = function () {
	QFNew.jumpForum();
};


//7、跳转发布帖子
QF.prototype.jumpPostThread = function (fid, fname, content, jumpPostThreadCallBack) {
	if (typeof jumpPostThreadCallBack == 'function') {
		currentcallbacks["jumpPostThreadCallBack"] = jumpPostThreadCallBack;
		QFNew.jumpPostThread(fid, fname, content, 'currentcallbacks["jumpPostThreadCallBack"]');
	} else {
		QFNew.jumpPostThread(fid, fname, content, jumpPostThreadCallBack);
	}
};


//8、跳转本地圈详情页
QF.prototype.jumpSide = function (sid) {
	QFNew.jumpSide(sid);
};


//9、跳转本地圈话题详情页
QF.prototype.jumpSideList = function (tid, tname) {
	QFNew.jumpSideList(tid, tname);
};


//10、跳转本地圈话题列表页
QF.prototype.jumpTopic = function () {
	QFNew.jumpTopic();
};


//11、跳转发布本地圈
QF.prototype.jumpPostSide = function (content, jumpPostSideCallBack) {
	if (typeof jumpPostSideCallBack == 'function') {
		currentcallbacks["jumpPostSideCallBack"] = jumpPostSideCallBack;
		QFNew.jumpPostSide(content, 'currentcallbacks["jumpPostSideCallBack"]');
	} else {
		QFNew.jumpPostSide(content, jumpPostSideCallBack);
	}
};

//12、跳转用户个人主页
QF.prototype.jumpUser = function (uid) {
	QFNew.jumpUser(uid);
};

//13、跳转私信对话页
QF.prototype.jumpTalk = function (uid, username, avatar) {
	QFNew.jumpTalk(uid, username, avatar);
};

//14、跳转扫一扫页面
QF.prototype.jumpScan = function (jumpScanCallBack) {
	if (typeof jumpScanCallBack == 'function') {
		currentcallbacks["jumpScanCallBack"] = jumpScanCallBack;
		QFNew.jumpScan('currentcallbacks["jumpScanCallBack"]');
	} else {
		QFNew.jumpScan(jumpScanCallBack);
	}
};

//15、跳转外部浏览器
QF.prototype.outOpen = function (url) {
	QFNew.outOpen(url);
};

//16、打开分享平台
QF.prototype.openShare = function (platform) {
	QFNew.openShare(platform);
};

//17、调用更多分享弹窗
QF.prototype.openShareDialog = function () {
	QFNew.openShareDialog();
};

//18、安卓打开其他应用
QF.prototype.openApp = function (packagename) {
	QFNew.openApp(packagename);
};


//19、调用客户端发送短信的接口
QF.prototype.sendSMS = function (phone, content, sendSMSCallBack) {
	if (typeof sendSMSCallBack == 'function') {
		currentcallbacks["sendSMSCallBack"] = sendSMSCallBack;
		QFNew.sendSMS(phone, content, 'currentcallbacks["sendSMSCallBack"]');
	} else {
		QFNew.sendSMS(phone, content, sendSMSCallBack);
	}
};


//20、调用原生界面浏览大图
QF.prototype.viewImages = function (position, jsonArray) {
	QFNew.viewImages(position, jsonArray);
};


//21、设置分享,shareType 1:链接分享 2:图片分享 3:小程序分享 shareAppLink 分享协议 WxMiniProgram 小程序参数，string
QF.prototype.setShareInfo = function (title, image, description, url, setShareInfoCallBack, shareType, shareAppLink, WxMiniProgram) {
	if (typeof setShareInfoCallBack == 'function') {
		currentcallbacks["setShareInfoCallBack"] = setShareInfoCallBack;
		QFNew.setShareInfo(title, image, description, url, 'currentcallbacks["setShareInfoCallBack"]', shareType, shareAppLink, WxMiniProgram);
	} else {
		QFNew.setShareInfo(title, image, description, url, setShareInfoCallBack, shareType, shareAppLink, WxMiniProgram);
	}
};

//22、隐藏右上角菜单按钮
QF.prototype.setMenu = function (hide) {
	QFNew.setMenu(hide);
};

//23、隐藏分享按钮（同时隐藏复制链接地址）
QF.prototype.setSharable = function (hide) {
	QFNew.setSharable(hide);
};

//24、隐藏外部浏览器打开按钮
QF.prototype.setOutOpen = function (hide) {
	QFNew.setOutOpen(hide);
};

//25、关闭当前Webview
QF.prototype.close = function () {
	QFNew.close();
};


//26、获取当前经纬度
QF.prototype.getLocation = function (getLocationCallBack) {
	if (typeof getLocationCallBack == 'function') {
		currentcallbacks["getLocationCallBack"] = getLocationCallBack;
		QFNew.getLocation('currentcallbacks["getLocationCallBack"]');
	} else {
		QFNew.getLocation(getLocationCallBack);
	}
};

//27、获取当前用户信息
QF.prototype.getUserInfo = function (getUserInfoCallBack) {
	if (typeof getUserInfoCallBack == 'function') {
		currentcallbacks["getUserInfoCallBack"] = getUserInfoCallBack;
		QFNew.getUserInfo('currentcallbacks["getUserInfoCallBack"]');
	} else {
		QFNew.getUserInfo(getUserInfoCallBack);
	}
};


//28、获取设备号
QF.prototype.getDeviceId = function (getDeviceIdCallBack) {
	if (typeof getDeviceIdCallBack == 'function') {
		currentcallbacks["getDeviceIdCallBack"] = getDeviceIdCallBack;
		QFNew.getDeviceId('currentcallbacks["getDeviceIdCallBack"]');
	} else {
		QFNew.getDeviceId(getDeviceIdCallBack);
	}
};

//29、跳转编辑个人中心页面
QF.prototype.jumpProfile = function () {
	QFNew.jumpProfile();
};

//30、通知应用更新用户金币、等级、签到等信息
QF.prototype.shouldUpdateGoldLevel = function () {
	QFNew.shouldUpdateGoldLevel();
};

//31、调用原生打赏页面
QF.prototype.reward = function (uid, username, avatar, rewarddesc, rewardmsgplaceholder, lv, lvname, gender, showcashblock, showgoldblock, rewardstep, cashstep, rewardCallBack) {
	if (typeof rewardCallBack == 'function') {
		currentcallbacks["rewardCallBack"] = rewardCallBack;
		QFNew.reward(uid, username, avatar, rewarddesc, rewardmsgplaceholder, lv, lvname, gender, showcashblock, showgoldblock, rewardstep, cashstep, 'currentcallbacks["rewardCallBack"]');
	} else {
		QFNew.reward(uid, username, avatar, rewarddesc, rewardmsgplaceholder, lv, lvname, gender, showcashblock, showgoldblock, rewardstep, cashstep, rewardCallBack);
	}
};

//32、新增h5打赏，支持打赏url。
QF.prototype.jumpReward = function (json, jumpRewardCallBack) {
	if (typeof jumpRewardCallBack == 'function') {
		currentcallbacks["jumpRewardCallBack"] = jumpRewardCallBack;
		QFNew.jumpReward(json, 'currentcallbacks["jumpRewardCallBack"]');
	} else {
		QFNew.jumpReward(json, jumpRewardCallBack);
	}
};

//33、显示客户端原生Toast
QF.prototype.toast = function (type, content, duration) {
	QFNew.toast(type, content, duration);
};

//34、显示右上角刷新按钮
QF.prototype.setRefresh = function (show) {
	QFNew.setRefresh(show);
};

//35、设置Webview标题
QF.prototype.setTitle = function (title) {
	QFNew.setTitle(title);
};

//36、跳转本地圈交友页面
QF.prototype.jumpFriendContainer = function (type) {
	QFNew.jumpFriendContainer(type);
};


//37、跳转新的Webview
QF.prototype.jumpNewWebview = function (url,functionname) {
	QFNew.jumpNewWebview(url,functionname);
};

//38、跳转支付页面
QF.prototype.jumpPayOrder = function (orderId, jumpPayOrderCallBack) {
	if (typeof jumpPayOrderCallBack == 'function') {
		currentcallbacks["jumpPayOrderCallBack"] = jumpPayOrderCallBack;
		QFNew.jumpPayOrder(orderId, 'currentcallbacks["jumpPayOrderCallBack"]');
	} else {
		QFNew.jumpPayOrder(orderId, jumpPayOrderCallBack);
	}
};

//39、给站点创建订单
QF.prototype.createOrder = function (type, item, send_type, address, allow_pay_type, createOrderCallBack) {
	if (typeof createOrderCallBack == 'function') {
		currentcallbacks["createOrderCallBack"] = createOrderCallBack;
		QFNew.createOrder(type, item, send_type, address, allow_pay_type, 'currentcallbacks["createOrderCallBack"]');
	} else {
		QFNew.createOrder(type, item, send_type, address, allow_pay_type, createOrderCallBack);
	}
};

//40、这个方法是给站点调用的调起支付,支付到站点
QF.prototype.jumpPay = function (type, item, send_type, address, allow_pay_type, jumpPayCallBack) {
	if (typeof jumpPayCallBack == 'function') {
		currentcallbacks["jumpPayCallBack"] = jumpPayCallBack;
		QFNew.jumpPay(type, item, send_type, address, allow_pay_type, 'currentcallbacks["jumpPayCallBack"]');
	} else {
		QFNew.jumpPay(type, item, send_type, address, allow_pay_type, jumpPayCallBack);
	}
};


//41、支付到千帆
QF.prototype.jumpPayQF = function (type, item, send_type, address, jumpPayQFCallBack) {
	if (typeof jumpPayQFCallBack == 'function') {
		currentcallbacks["jumpPayQFCallBack"] = jumpPayQFCallBack;
		QFNew.jumpPayQF(type, item, send_type, address, 'currentcallbacks["jumpPayQFCallBack"]');
	} else {
		QFNew.jumpPayQF(type, item, send_type, address, jumpPayQFCallBack);
	}
};

//42、跳转收货地址页面
QF.prototype.jumpAddress = function (jumpAddressCallBack) {
	if (typeof jumpAddressCallBack == 'function') {
		currentcallbacks["jumpAddressCallBack"] = jumpAddressCallBack;
		QFNew.jumpAddress('currentcallbacks["jumpAddressCallBack"]');
	} else {
		QFNew.jumpAddress(jumpAddressCallBack);
	}
};

//43、更改名字后调用
QF.prototype.afterChangeName = function (newName, renameCard) {
	QFNew.afterChangeName(newName, renameCard);
};

//44、跳转我的钱包页面
QF.prototype.jumpMyPackage = function () {
	QFNew.jumpMyPackage();
};

//45、弹出电话弹窗
QF.prototype.jumpTel = function (telNum) {
	QFNew.jumpTel(telNum);
};

//46、跳转pos通
QF.prototype.jumpPos = function () {
	QFNew.jumpPos();
};

//47、跳转点赞列表
QF.prototype.jumpLikeList = function (tid) {
	QFNew.jumpLikeList(tid);
};

//48、跳转加入群组
QF.prototype.jumpGroup = function (gid) {
	QFNew.jumpGroup(gid);
};

//49、创建订单
QF.prototype.Order = function (json, OrderCallBack) {
	if (typeof OrderCallBack == 'function') {
		currentcallbacks["OrderCallBack"] = OrderCallBack;
		QFNew.Order(json, 'currentcallbacks["OrderCallBack"]');
	} else {
		QFNew.Order(json, OrderCallBack);
	}
};


//50、跳转红包列表
QF.prototype.jumpEnvelopeList = function () {
	QFNew.jumpEnvelopeList();
};


//51、跳转红包列表
QF.prototype.provideLogin = function (loginType, openid, unionid, nickname) {
	QFNew.provideLogin(loginType, openid, unionid, nickname);
};


//52、打开红包
QF.prototype.openPacket = function (json, packetCallBack) {
if (typeof packetCallBack == 'function') {
		currentcallbacks["packetCallBack"] = packetCallBack;
		QFNew.openPacket(json, 'currentcallbacks["packetCallBack"]');
	} else {
		QFNew.openPacket(json, packetCallBack);
	}

};

//53、唤起送礼dialog
QF.prototype.jumpThreadGiftDialog = function (tid, fid, uid, giftCallBack) {
	if (typeof giftCallBack == 'function') {
		currentcallbacks["giftCallBack"] = giftCallBack;
		QFNew.jumpThreadGiftDialog(tid, fid, uid, 'currentcallbacks["giftCallBack"]');
	} else {
		QFNew.jumpThreadGiftDialog(tid, fid, uid, giftCallBack);
	}
};

//54、唤起送礼排行榜
QF.prototype.jumpThreadGiftRank = function (tid) {
	QFNew.jumpThreadGiftRank(tid);
};

QF.prototype.setScan = function (hide) {
	QFNew.setScan(hide);
};

//55、判断当前设备是否开启接口app通知
QF.prototype.getSystemNotice = function (needAlert, noticeCallBack) {
	if (typeof noticeCallBack == 'function') {
		currentcallbacks["noticeCallBack"] = noticeCallBack;
		QFNew.getSystemNotice(needAlert, 'currentcallbacks["noticeCallBack"]');
	} else {
		QFNew.getSystemNotice(needAlert, noticeCallBack);
	}
};

//56、上传图片/视频
//    type 0: 公有 1:私有
//    jsUploadOptions
//          picFormat: 0 => jpeg,png 1=> jpeg,png,gif 2=>gif
//          picMaxSize: 图片压缩后的最大宽高
//          compressOption : 图片压缩比
//          uploadNum: 上传数量
//          uploadType: 0: 图片 1:视频
//    callback
QF.prototype.uploadImageOrVideo = function (type, jsUploadOptions, UploadCallBack) {
	if (typeof UploadCallBack == 'function') {
		currentcallbacks["UploadCallBack"] = UploadCallBack;
		QFNew.uploadImageOrVideo(type, jsUploadOptions, 'currentcallbacks["UploadCallBack"]');
	} else {
		QFNew.uploadImageOrVideo(type, jsUploadOptions, UploadCallBack);
	}
};

//跳转免责申明
QF.prototype.jumpDisclaimer = function () {
	QFNew.jumpDisclaimer();
};

// 设置页面淘口令分享，一旦设置，将代替setShareInfo
QF.prototype.setShareWord = function (word, koulingCallBack) {
	if (typeof koulingCallBack == 'function') {
		currentcallbacks["koulingCallBack"] = koulingCallBack;
		QFNew.setShareWord(word, 'currentcallbacks["koulingCallBack"]');
	} else {
		QFNew.setShareWord(word, koulingCallBack);
	}
};

// 跳分类信息聊天
QF.prototype.jumpTalkWithClassify = function (uid, username, avatar, jsChatClassifyParams) {
	QFNew.jumpTalkWithClassify(uid, username, avatar, jsChatClassifyParams);
};

// 设置分类信息详情页的参数
// source_id: 分类信息id
// is_collect:是否收藏 1 => 已收藏 0 => 未收藏
// can_get_envelope //该用户是否可以获取红包 0；没有红包标识 1：红包标识(已领取) 2红包标识(不可领取)
// envelope_id: 红包id
// group_id
// category_id
// share_envelope 用户是否可以塞红包 0: 不能 1: 能
QF.prototype.setClassifyDetail = function (source_id, author_id, is_collect, can_get_envelope, category_id, group_id, envelope_id, share_envelope) {
	QFNew.setClassifyDetail(source_id, author_id, is_collect, can_get_envelope, category_id, group_id, envelope_id, share_envelope);
};

// 根据经纬度去定位地图，选点后返回经纬度和具体地址 data: {lat:'',lan:'',address:''} type:1 可选 2 展示
QF.prototype.jumpMap = function (lat, lng, address, type, mapCallback) {
	if (typeof mapCallback == 'function') {
		currentcallbacks["mapCallback"] = mapCallback;
		QFNew.jumpMap(lat, lng, address, type, 'currentcallbacks["mapCallback"]');
	} else {
		QFNew.jumpMap(lat, lng, address, type, mapCallback)
	}
};

QF.prototype.hideLoading = function () {
	QFNew.dismissLoading();
};

QF.prototype.getClassifyViewInfo = function (infoId, viewInfoCallback) {
	if (typeof viewInfoCallback == 'function') {
		currentcallbacks["viewInfoCallback"] = viewInfoCallback;
		QFNew.getClassifyViewInfo(infoId, 'currentcallbacks["viewInfoCallback"]');
	} else {
		QFNew.getClassifyViewInfo(infoId, viewInfoCallback);
	}
};

QF.prototype.getClassifyViewInfo = function (infoId, viewInfoCallback) {
	if (typeof viewInfoCallback == 'function') {
		currentcallbacks["viewInfoCallback"] = viewInfoCallback;
		QFNew.getClassifyViewInfo(infoId, 'currentcallbacks["viewInfoCallback"]');
	} else {
		QFNew.getClassifyViewInfo(infoId, viewInfoCallback);
	}
};

// 跳新页面并且关闭当前页面
QF.prototype.jumpNewWebviewWithClose = function (url) {
	QFNew.jumpNewWebviewWithClose(url);
};

QF.prototype.jumpMiniProgram = function (wxid, wxpath, minCallback) {
	if (typeof minCallback == 'function') {
		currentcallbacks["minCallback"] = minCallback;
		QFNew.jumpMiniProgram(wxid, wxpath, 'currentcallbacks["minCallback"]');
	} else {
		QFNew.jumpMiniProgram(wxid, wxpath, minCallback);
	}
};

// 60 调用客户端input框
QF.prototype.showCustomEditor = function (requestUrl, additionalParams, componentControl, editorCallback) {
	if (typeof editorCallback == 'function') {
		currentcallbacks["editorCallback"] = editorCallback;
		QFNew.showCustomEditor(requestUrl, additionalParams, componentControl, 'currentcallbacks["editorCallback"]');
	} else {
		QFNew.showCustomEditor(requestUrl, additionalParams, componentControl, editorCallback);
	}
};

QF.prototype.openMapList = function (Longitude, latitude) {
	QFNew.openMapList(Longitude, latitude);
};

QF.prototype.bottomReplyComponent = function (buttons) {
	QFNew.bottomReplyComponent(buttons);
};

QF.prototype.replyComponent = function (replyConfig, replyCallback) {
	if (typeof replyCallback == 'function') {
		currentcallbacks["replyCallback"] = replyCallback;
		QFNew.replyComponent(replyConfig, 'currentcallbacks["replyCallback"]');
	} else {
		QFNew.replyComponent(replyConfig, replyCallback);
	}
};

QF.prototype.sendRedPackage = function (source, source_id, options, sendRedPackageCallback) {
	if (typeof sendRedPackageCallback == 'function') {
		currentcallbacks["sendRedPackageCallback"] = sendRedPackageCallback;
		QFNew.sendRedPackage(source, source_id, options, 'currentcallbacks["sendRedPackageCallback"]');
	} else {
		QFNew.sendRedPackage(source, source_id, options, sendRedPackageCallback);
	}
};

QF.prototype.openRedPackage = function (package_id, options, openRedPackageCallback) {
	if (typeof openRedPackageCallback == 'function') {
		currentcallbacks["openRedPackageCallback"] = openRedPackageCallback;
		QFNew.openRedPackage(package_id, options, 'currentcallbacks["openRedPackageCallback"]');
	} else {
		QFNew.openRedPackage(package_id, options, openRedPackageCallback);
	}
};

QF.prototype.getUmengInfo = function (getUmengInfoCallback) {
	if (typeof getUmengInfoCallback == 'function') {
		currentcallbacks["getUmengInfoCallback"] = getUmengInfoCallback;
		QFNew.getUmengInfo('currentcallbacks["getUmengInfoCallback"]');
	} else {
		QFNew.getUmengInfo(getUmengInfoCallback);
	}
};

QF.prototype.getRequestParams = function (objectKeys, options, requestCallback) {
	if (typeof requestCallback == 'function') {
		currentcallbacks["requestCallback"] = requestCallback;
		QFNew.getRequestParams(objectKeys, options, 'currentcallbacks["requestCallback"]');
	} else {
		QFNew.getRequestParams(objectKeys, options, requestCallback);
	}
};

QF.prototype.jumpThirdLogin = function (platform, thirdLoginCallback) {
	if (typeof thirdLoginCallback == 'function') {
		currentcallbacks["thirdLoginCallback"] = thirdLoginCallback;
		QFNew.jumpThirdLogin(platform, 'currentcallbacks["thirdLoginCallback"]');
	} else {
		QFNew.jumpThirdLogin(platform, thirdLoginCallback);
	}
};

QF.prototype.getUserThirdInfo = function (thirdInfoCallback) {
	if (typeof thirdInfoCallback == 'function') {
		currentcallbacks["thirdInfoCallback"] = thirdInfoCallback;
		QFNew.getUserThirdInfo('currentcallbacks["thirdInfoCallback"]');
	} else {
		QFNew.getUserThirdInfo(thirdInfoCallback);
	}
};

QF.prototype.jumpBindThirdPlatform = function (platform, bindThirdCallback) {
	if (typeof bindThirdCallback == 'function') {
		currentcallbacks["bindThirdCallback"] = bindThirdCallback;
		QFNew.jumpBindThirdPlatform(platform,'currentcallbacks["bindThirdCallback"]');
	} else {
		QFNew.jumpBindThirdPlatform(platform,bindThirdCallback);
	}
};

QF.prototype.showImageRemarkLayer = function (remark, remarkCallback) {
	if (typeof remarkCallback == 'function') {
		currentcallbacks["remarkCallback"] = remarkCallback;
		QFNew.showImageRemarkLayer(remark,'currentcallbacks["remarkCallback"]');
	} else {
		QFNew.showImageRemarkLayer(remark,remarkCallback);
	}
};


QF.prototype.jumpEditLink = function (text, link, linkCallback) {
	if (typeof linkCallback == 'function') {
		currentcallbacks["linkCallback"] = linkCallback;
		QFNew.jumpEditLink(text, link, 'currentcallbacks["linkCallback"]');
	} else {
		QFNew.jumpEditLink(text, link, linkCallback);
	}
};

QF.prototype.listCoverImages = function (listImagesCallback) {
	if (typeof listImagesCallback == 'function') {
		currentcallbacks["listImagesCallback"] = listImagesCallback;
		QFNew.listCoverImages('currentcallbacks["listImagesCallback"]');
	} else {
		QFNew.listCoverImages(listImagesCallback);
	}
};

QF.prototype.getNotificationStatus = function (noticeCallback) {
	if (typeof noticeCallback == 'function') {
		currentcallbacks["noticeCallback"] = noticeCallback;
		QFNew.getNotificationStatus('currentcallbacks["noticeCallback"]');
	} else {
		QFNew.getNotificationStatus(noticeCallback);
	}
};

QF.prototype.showNotificationDialog = function () {
	QFNew.showNotificationDialog();
};

QF.prototype.jumpNotificationSetting = function () {
	QFNew.jumpNotificationSetting();
};

//自定义分享
QF.prototype.setShareDialog = function (json) {
	QFNew.setShareDialog(json);
};

QF.prototype.fullVideoSize = function (width,height) {
	QFNew.fullVideoSize(width,height);
};

QF.prototype.preloadInspireVideo = function (type, preloadInspireCallback) {
    if (typeof preloadInspireCallback == 'function') {
        currentcallbacks["preloadInspireCallback"] = preloadInspireCallback;
        QFNew.preloadInspireVideo(type,'currentcallbacks["preloadInspireCallback"]');
    } else {
        QFNew.preloadInspireVideo(type,'preloadInspireCallback');
    }
};

QF.prototype.openInspireVideo = function (type, inspireCallback) {
    if (typeof inspireCallback == 'function') {
        currentcallbacks["inspireCallback"] = inspireCallback;
        QFNew.openInspireVideo(type,'currentcallbacks["inspireCallback"]');
    } else {
        QFNew.openInspireVideo(type,inspireCallback);
    }
};

QF.prototype.setSearchInpKeyword = function (keyword) {
    QFNew.setSearchInpKeyword(keyword);
};

QF.prototype.saveImage = function (url) {
    QFNew.saveImage(url);
};

QF.prototype.getSystemInfo = function (systemInfoCallback) {
    if (typeof systemInfoCallback == 'function') {
        currentcallbacks["systemInfoCallback"] = systemInfoCallback;
        QFNew.getSystemInfo('currentcallbacks["systemInfoCallback"]');
    } else {
        QFNew.getSystemInfo(systemInfoCallback);
    }
};

QF.prototype.request = function (request) {
        if(request.success && typeof request.success == 'function'){
                currentcallbacks["success_callback"] = request.success;
                request.success = 'currentcallbacks["success_callback"]';
        }
        if(request.fail && typeof request.fail == 'function'){
                currentcallbacks["fail_callback"] = request.fail;
                request.fail = 'currentcallbacks["fail_callback"]';
        }
        if(request.complete && typeof request.complete == 'function'){
                currentcallbacks["complete_callback"] = request.complete;
                request.complete = 'currentcallbacks["complete_callback"]';
        }
        QFNew.request(JSON.stringify(request));
};

QF.prototype.proxyRequest = function (request) {
        request = JSON.parse(request);
        if(request.success && typeof request.success == 'function'){
                currentcallbacks["success_callback"] = request.success;
                request.success = 'currentcallbacks["success_callback"]';
        }
        if(request.fail && typeof request.fail == 'function'){
                currentcallbacks["fail_callback"] = request.fail;
                request.fail = 'currentcallbacks["fail_callback"]';
        }
        if(request.complete && typeof request.complete == 'function'){
                currentcallbacks["complete_callback"] = request.complete;
                request.complete = 'currentcallbacks["complete_callback"]';
        }
        QFNew.request(JSON.stringify(request));
};

//打开帖子视频详情页
QF.prototype.openSmallVideo = function (mode,target_type,target_id,relate_id,smallVideoCallback) {
    if (typeof smallVideoCallback == 'function') {
        currentcallbacks["smallVideoCallback"] = smallVideoCallback;
        QFNew.openSmallVideo(mode,target_type,target_id,relate_id,'currentcallbacks["smallVideoCallback"]');
    } else {
        QFNew.openSmallVideo(mode,target_type,target_id,relate_id,smallVideoCallback);
    }
};

//帖子视频页面评论面板中隐藏loadingview
QF.prototype.hideLoading = function () {
    QFNew.hideLoading();
};

QF.prototype.getSystemInfo = function (systemInfoCallback) {
    if (typeof systemInfoCallback == 'function') {
        currentcallbacks["systemInfoCallback"] = systemInfoCallback;
        QFNew.getSystemInfo('currentcallbacks["systemInfoCallback"]');
    } else {
        QFNew.getSystemInfo(systemInfoCallback);
    }
};
//调用客户端视频全屏播放
QF.prototype.viewVideo = function (url) {
    QFNew.viewVideo(url);
};


QF.prototype.shouldUpdateInsipreTask = function () {
	QFNew.shouldUpdateInsipreTask();
};


QF.prototype.viewOriginImages= function (position, urls) {
	QFNew.viewOriginImages(position, urls);
};

QF.prototype.editImage= function (url, editImageCallback) {
	    QFNew.editImage(url, editImageCallback)
};

QF.prototype.openAlibc = function (type,itemId,openAlibcCallback) {

         QFNew.openAlibc(type,itemId,openAlibcCallback);

};





QF.prototype.downloadSource = function (type, url,fileName,downloadSourceCallback) {
	    QFNew.downloadSource(type, url,name,downloadSourceCallback)
};

QF.prototype.showUnTrust = function(text){
     QFNew.showUnTrust(text);
};

QF.prototype.showCustomDialog = function(title,text1,text2,callback1,callback2){
     QFNew.showCustomDialog(title,text1,text2,callback1,callback2);
};
QF.prototype.showClientDialog = function(ret,text){
     QFNew.showClientDialog(ret,text);
};



QF.prototype.setMapPOI = function(lat, lng){
     QFNew.setMapPOI(lat,lng);
};



QF.prototype.initMap = function(initMapCallback){
     if (typeof initMapCallback == 'function') {
     	currentcallbacks["initMapCallback"] = initMapCallback;
     	QFNew.initMap('currentcallbacks["initMapCallback"]');
     } else {
     	QFNew.initMap(initMapCallback);
     }
};


QF.prototype.setPermissionScene = function(json){
    QFNew.setPermissionScene(json);
};

QF.prototype.refreshSideView = function (id) {
	QFNew.refreshSideView(id)
}


//H5调用，跳转到微信确认收款
QF.prototype.openWxBusinessView = function (mchId, packageInfo, jumpWxBusinessCallBack) {
	if (typeof jumpWxBusinessCallBack == 'function') {
		currentcallbacks["jumpWxBusinessCallBack"] = jumpWxBusinessCallBack;
		QFNew.openWxBusinessView(mchId, packageInfo, 'currentcallbacks["jumpWxBusinessCallBack"]');
	} else {
		QFNew.openWxBusinessView(mchId, packageInfo, jumpWxBusinessCallBack);
	}
};








var QFH5 = new QF();
